Page 8 of 8

Re: Linux freeorion executable

Posted: Wed Apr 24, 2013 9:12 pm
by Nagilum
Updated builds to rev 5991 including adrian_brother's patches. (Which probably don't impact the executeables)
As usual - be aware that your savegames may not load in the updated version!

Re: Linux freeorion executable

Posted: Sat Aug 10, 2013 9:25 pm
by redhound
Debian Wheezy (stable) does not have GLIBC-2.14, only 2.13:

Code: Select all

 freeorion
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/bin/freeorion.elf)
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/lib/libfreeorioncommon.so)
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/lib/libfreeorionparse.so)
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/lib/libGiGi.so)
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/lib/libOgreMain.so.1.8.1)
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/lib/libBulletCollision.so.2.81)
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/lib/libLinearMath.so.2.81)
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/lib/libboost_filesystem.so.1.54.0)
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/lib/libboost_serialization.so.1.54.0)
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/lib/libpng16.so.16)
/usr/local/freeorion/bin/freeorion.elf: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.14' not found (required by /usr/local/freeorion/lib/libtiff.so.5)
uname -a:

Code: Select all

Linux simargl 3.2.0-4-amd64 #1 SMP Debian 3.2.32-1 x86_64 GNU/Linux

Re: Linux freeorion executable

Posted: Sun Aug 11, 2013 6:49 am
by Nagilum
That's right, the Ubuntu packages don't work on Debian.
Use the Debian packages instead.
http://sourceforge.net/projects/freeori ... st/Debian/

Re: Linux freeorion executable

Posted: Fri Aug 16, 2013 4:59 pm
by Nagilum
I created a repository for Debian Wheezy. See the first post of this thread for instructions.

Re: Linux freeorion executable

Posted: Mon Nov 25, 2013 5:00 pm
by redhound
Have this error with Debian repository:

W: GPG error: http://www.nagilum.org freeorion InRelease: The following signatures were invalid: KEYEXPIRED 1385293883 KEYEXPIRED 1385293883 KEYEXPIRED 1385293883

Re: Linux freeorion executable

Posted: Mon Nov 25, 2013 5:24 pm
by Nagilum
Thanks for the notice!
I'll update the key and post here when done.

Re: Linux freeorion executable

Posted: Mon Nov 25, 2013 6:40 pm
by Nagilum
I need to update the builds and the whole repo. I don't have proper internet here so hopefully tomorrow.

Re: Linux freeorion executable

Posted: Fri Nov 29, 2013 6:40 am
by Nagilum
Updated the key and the repos using the new key.
So do the usual:

Code: Select all

wget http://nagilum.org/repo/orion@nagilum.org.key.asc
sudo apt-key add orion@nagilum.org.key.asc
and you should be good again.
You can also use https://www.ssl-id.de/nagilum.org/repo/ ... rg.key.asc as key URL for slightly better security.